diff --git a/game/client/src/main/java/net/minecraft/client/gui/SwitchElement.java b/game/client/src/main/java/net/minecraft/client/gui/SwitchElement.java
index 0c110995f..c61fb740e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/SwitchElement.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/SwitchElement.java
@@ -1,9 +1,9 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.client.Minecraft;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import org.lwjgl.opengl.GL11;
 
 public class SwitchElement
     extends ButtonElement {
@@ -33,10 +33,10 @@ public class SwitchElement
     }
     @Override
     protected void setDefaultTextures() {
-        backgroundTexture = TextureRegistry.getTexture("minecraft:gui/widgets/switch/switch_background");
-        defaultTexture = TextureRegistry.getTexture("minecraft:gui/widgets/switch/switch");
-        hoveredTexture = TextureRegistry.getTexture("minecraft:gui/widgets/switch/switch_highlighted");
-        disabledTexture = TextureRegistry.getTexture("minecraft:gui/widgets/switch/switch_disabled");
+        this.backgroundTexture = TextureRegistry.getTexture("minecraft:gui/widgets/switch/switch_background");
+        this.defaultTexture = TextureRegistry.getTexture("minecraft:gui/widgets/switch/switch");
+        this.hoveredTexture = TextureRegistry.getTexture("minecraft:gui/widgets/switch/switch_highlighted");
+        this.disabledTexture = TextureRegistry.getTexture("minecraft:gui/widgets/switch/switch_disabled");
     }
 
     private void updateText() {
@@ -58,47 +58,33 @@ public class SwitchElement
 
     @Override
     public void drawButton(Minecraft mc, int mouseX, int mouseY) {
-        if (!visible) return;
+        if (!this.visible) return;
 
-        boolean mouseOver = mouseX >= xPosition && mouseY >= yPosition && mouseX < xPosition + width && mouseY < yPosition + height;
+        boolean mouseOver = mouseX >= this.xPosition && mouseY >= this.yPosition && mouseX < this.xPosition + this.width && mouseY < this.yPosition + this.height;
         int state = getButtonState(mouseOver);
-        int xBar = on ? (width / 3) + 1 : 0;
-
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-
-        IconCoordinate tex;
-        switch (state) {
-            case STATE_DISABLED:
-                tex = disabledTexture;
-                break;
-            case STATE_HOVERED:
-                tex = hoveredTexture;
-                break;
-            case STATE_DEFAULT:
-            default:
-                tex = defaultTexture;
-        }
+        int xBar = this.on ? (this.width / 3) + 1 : 0;
+
+        GLRenderer.setColor4f(1f, 1f, 1f, 1f);
+
+        IconCoordinate tex = switch (state) {
+            case STATE_DISABLED -> this.disabledTexture;
+            case STATE_HOVERED -> this.hoveredTexture;
+            default -> this.defaultTexture;
+        };
 
         // Draw background
-        drawGuiIcon(xPosition, yPosition, width, height, backgroundTexture);
+        drawGuiIcon(this.xPosition, this.yPosition, this.width, this.height, this.backgroundTexture);
 
         // Draw foreground
-        drawGuiIcon(xPosition + xBar, yPosition, (width * 2)/3, height, tex);
+        drawGuiIcon(this.xPosition + xBar, this.yPosition, (this.width * 2)/3, this.height, tex);
 
         mouseDragged(mc, mouseX, mouseY);
 
-        int textColor;
-        switch (state) {
-            case 0:
-                textColor = 0xA0A0A0;
-                break;
-            case 1:
-                textColor = 0xE0E0E0;
-                break;
-            default:
-                textColor = 0xFFFFA0;
-                break;
-        }
-        drawStringCenteredShadow(mc.font, displayString, xPosition + xBar + width / 3, yPosition + (height - 8) / 2, textColor);
+        int textColor = switch (state) {
+            case 0 -> 0xA0A0A0;
+            case 1 -> 0xE0E0E0;
+            default -> 0xFFFFA0;
+        };
+        drawStringCenteredShadow(mc.font, this.displayString, this.xPosition + xBar + this.width / 3, this.yPosition + (this.height - 8) / 2, textColor);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/TexturedButtonElement.java b/game/client/src/main/java/net/minecraft/client/gui/TexturedButtonElement.java
index e8627cecb..f8f270919 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/TexturedButtonElement.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/TexturedButtonElement.java
@@ -1,15 +1,15 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.client.Minecraft;
-import org.lwjgl.opengl.GL11;
+import net.minecraft.client.render.renderer.GLRenderer;
 
 public class TexturedButtonElement extends ButtonElement {
     private final String texturePath;
-    private int u;
-    private int v;
+    private final int u;
+    private final int v;
 
     public TexturedButtonElement(int id, String texturePath, int xPosition, int yPosition, int u, int v, int width, int height) {
-        super(id, xPosition, yPosition,width, height, "");
+        super(id, xPosition, yPosition, width, height, "");
         this.texturePath = texturePath;
         this.u = u;
         this.v = v;
@@ -17,23 +17,18 @@ public class TexturedButtonElement extends ButtonElement {
 
     @Override
     public void drawButton(Minecraft mc, int mouseX, int mouseY) {
-        if (!visible) {
+        if (!this.visible) {
             return;
         }
-        mc.textureManager.loadTexture(texturePath).bind();
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        boolean isHovered = mouseX >= xPosition && mouseY >= yPosition && mouseX < xPosition + width && mouseY < yPosition + height;
-        if (!enabled)
-        {
-            drawTexturedModalRect(xPosition, yPosition, u, v, width, height);
-        }
-        else if (!isHovered)
-        {
-            drawTexturedModalRect(xPosition, yPosition, u, v + height, width, height);
-        }
-        else
-        {
-            drawTexturedModalRect(xPosition, yPosition, u, v + height * 2, width, height);
+        mc.textureManager.loadTexture(this.texturePath).bind();
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        boolean isHovered = mouseX >= this.xPosition && mouseY >= this.yPosition && mouseX < this.xPosition + this.width && mouseY < this.yPosition + this.height;
+        if (!this.enabled) {
+            drawTexturedModalRect(this.xPosition, this.yPosition, this.u, this.v, this.width, this.height);
+        } else if (!isHovered) {
+            drawTexturedModalRect(this.xPosition, this.yPosition, this.u, this.v + this.height, this.width, this.height);
+        } else {
+            drawTexturedModalRect(this.xPosition, this.yPosition, this.u, this.v + this.height * 2, this.width, this.height);
         }
         mouseDragged(mc, mouseX, mouseY);
     }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/TooltipElement.java b/game/client/src/main/java/net/minecraft/client/gui/TooltipElement.java
index 25fb3a196..9345d8e73 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/TooltipElement.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/TooltipElement.java
@@ -8,7 +8,10 @@ import com.google.gson.stream.JsonReader;
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.font.FontRenderer;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.BlendFactor;
+import net.minecraft.client.render.renderer.CompareFunc;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.texturepack.TexturePack;
@@ -26,9 +29,7 @@ import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
-import org.lwjgl.opengl.GL11;
 
-import com.mojang.nbt.tags.CompoundTag;
 import org.slf4j.Logger;
 
 import java.io.IOException;
@@ -40,8 +41,7 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
-public class TooltipElement extends Gui
-{
+public class TooltipElement extends Gui {
     protected final static Logger LOGGER = LogUtils.getLogger();
     public final static Map<String, Style> styleMap = new HashMap<>();
     public final static List<String> stylesIdList = new ArrayList<>();
@@ -50,35 +50,35 @@ public class TooltipElement extends Gui
     Minecraft mc;
     FontRenderer fontRenderer;
 
-    public TooltipElement(Minecraft mc)
-    {
+    public TooltipElement(Minecraft mc) {
         this.mc = mc;
         this.fontRenderer = mc.font;
     }
+
     public static final int BASE_PADDING = 3;
     public static final int LINE_SPACING = 3;
 
     public void render(final CharSequence string, final int x, final int y, final int offsetX, final int offsetY) {
         render(string, x, y, offsetX, offsetY, -1, -1, true);
     }
-    public void render(final CharSequence chars, int x, int y, int offsetX, int offsetY, int maxWidth, int maxHeight, boolean canOffset)
-    {
+
+    public void render(final CharSequence chars, int x, int y, int offsetX, int offsetY, int maxWidth, int maxHeight, boolean canOffset) {
+        GLRenderer.pushFrame();
+        GLRenderer.setDepthFunc(CompareFunc.ALWAYS);
         maxWidth = maxWidth == -1 ? Integer.MAX_VALUE : maxWidth;
         maxHeight = maxHeight == -1 ? Integer.MAX_VALUE : maxHeight;
 
         final List<String> lines = new ArrayList<>();
         this.fontRenderer.splitCharsIntoLines(chars, maxWidth, lines);
         int width = 0;
-        for (final String line : lines)
-        {
+        for (final String line : lines) {
             width = Math.max(width, this.fontRenderer.stringWidth(line) - 1);
         }
 
         final int height = MathHelper.ceil(this.fontRenderer.heightOfLines(lines, maxWidth) - 1);
 
         // Flip tooltip X if it goes offscreen to the right
-        if(canOffset && x + offsetX + width > this.mc.resolution.getScaledWidthScreenCoords())
-        {
+        if (canOffset && x + offsetX + width > this.mc.resolution.getScaledWidthScreenCoords()) {
             offsetX = -offsetX - width;
         }
 
@@ -96,23 +96,25 @@ public class TooltipElement extends Gui
         drawBackground(x, y, x + width, y + height);
 //        drawRect(x, y, x + width, y + height, 0xFFFFFFFF);
 
-        this.fontRenderer.renderWidthConstrained(Tessellator.instance, chars, x + padding, y + padding, maxWidth).call();
+        this.fontRenderer.renderWidthConstrained(chars, x + padding, y + padding, maxWidth).call();
+        GLRenderer.popFrame();
     }
-    public int getPadding(){
+
+    public int getPadding() {
         return 0;
     }
-    public int[] drawBackground(int x, int y, int offsetX, int offsetY, int width, int height){
+
+    public int[] drawBackground(int x, int y, int offsetX, int offsetY, int width, int height) {
 //        int targetOffset = 0;
         // Flip tooltip X if it goes offscreen to the right
-        if(x + offsetX + width > mc.resolution.getScaledWidthScreenCoords())
-        {
+        if (x + offsetX + width > this.mc.resolution.getScaledWidthScreenCoords()) {
 //            int _offsetX = offsetX;
             offsetX = -offsetX - width;
 //            targetOffset = offsetX - _offsetX;
         }
 
         // Move tooltip up when it goes offscreen to the bottom
-        offsetY -= Math.max(0, y + height + offsetY - mc.resolution.getScaledHeightScreenCoords());
+        offsetY -= Math.max(0, y + height + offsetY - this.mc.resolution.getScaledHeightScreenCoords());
 
         x += offsetX;
         y += offsetY;
@@ -120,12 +122,13 @@ public class TooltipElement extends Gui
         return drawBackground(x, y, x + width, y + height);
     }
 
-    private int[] drawBackground(final int minX, final int minY, final int maxX, final int maxY)
-    {
+    private int[] drawBackground(final int minX, final int minY, final int maxX, final int maxY) {
         final Style style = styleMap.getOrDefault(this.mc.gameSettings.tooltipStyle.value, defaultStyle);
         if (style != null) {
-            GL11.glEnable(GL11.GL_BLEND);
-            GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
+            GLRenderer.pushFrame();
+            GLRenderer.setDepthFunc(CompareFunc.ALWAYS);
+            GLRenderer.enableState(State.BLEND);
+            GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
 
             drawGuiIcon(
                 minX - 2,
@@ -140,50 +143,52 @@ public class TooltipElement extends Gui
                 maxY - minY + 4 + style.paddingTop + style.paddingBottom,
                 style.getBorderIcon());
 
-            GL11.glDisable(GL11.GL_BLEND);
+            GLRenderer.disableState(State.BLEND);
+            GLRenderer.popFrame();
         }
         return new int[]{minX, minY};
     }
 
-	public String getTooltipText(ItemStack itemStack, boolean showDescription, Slot slot) {
-		I18n trans = I18n.getInstance();
-		StringBuilder text = new StringBuilder();
-		boolean discovered = true;
-		boolean ctrlPressed = false;
-		boolean shiftPressed = false;
-		boolean debug = mc.gameSettings.showItemDebugInfo.value;
-
-		if(slot != null) {
-			discovered = slot.getIsDiscovered(mc.thePlayer);
-
-			if(slot instanceof SlotResult) {
-				ctrlPressed = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
-				shiftPressed = Keyboard.isKeyDown(Keyboard.KEY_LSHIFT) || Keyboard.isKeyDown(Keyboard.KEY_RSHIFT);
-
-				showDescription = false;
-				if(mc.gameSettings.swapCraftingButtons.value) {
-					boolean temp = shiftPressed;
-					shiftPressed = ctrlPressed;
-					ctrlPressed = temp;
-				}
-			}
-		}
-
-		if(discovered) {
-			text.append(TextFormatting.get(itemStack.getDisplayColor()));
-			text.append(itemStack.getDisplayName());
-            if (itemStack.getData().containsKey("tileEntityData")) text.append(" ").append(TextFormatting.MAGENTA).append(TextFormatting.ITALIC).append("+NBT").append(TextFormatting.RESET).append(TextFormatting.get(itemStack.getDisplayColor()));
-
-
-            if(debug) {
+    public String getTooltipText(ItemStack itemStack, boolean showDescription, Slot slot) {
+        I18n trans = I18n.getInstance();
+        StringBuilder text = new StringBuilder();
+        boolean discovered = true;
+        boolean ctrlPressed = false;
+        boolean shiftPressed = false;
+        boolean debug = this.mc.gameSettings.showItemDebugInfo.value;
+
+        if (slot != null) {
+            discovered = slot.getIsDiscovered(this.mc.thePlayer);
+
+            if (slot instanceof SlotResult) {
+                ctrlPressed = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
+                shiftPressed = Keyboard.isKeyDown(Keyboard.KEY_LSHIFT) || Keyboard.isKeyDown(Keyboard.KEY_RSHIFT);
+
+                showDescription = false;
+                if (this.mc.gameSettings.swapCraftingButtons.value) {
+                    boolean temp = shiftPressed;
+                    shiftPressed = ctrlPressed;
+                    ctrlPressed = temp;
+                }
+            }
+        }
+
+        if (discovered) {
+            text.append(TextFormatting.get(itemStack.getDisplayColor()));
+            text.append(itemStack.getDisplayName());
+            if (itemStack.getData().containsKey("tileEntityData"))
+                text.append(" ").append(TextFormatting.MAGENTA).append(TextFormatting.ITALIC).append("+NBT").append(TextFormatting.RESET).append(TextFormatting.get(itemStack.getDisplayColor()));
+
+
+            if (debug) {
                 text.append(" #").append(itemStack.itemID).append(":").append(itemStack.getMetadata());
             }
 
-            if(slot instanceof SlotGuidebook){
-                if(((SlotGuidebook) slot).recipe != null) {
+            if (slot instanceof SlotGuidebook) {
+                if (((SlotGuidebook) slot).recipe != null) {
                     if (((SlotGuidebook) slot).recipe instanceof RecipeEntryTrommel) {
                         RecipeSymbol input = (RecipeSymbol) ((SlotGuidebook) slot).recipe.getInput();
-                        if(!input.matches(slot.getItemStack())){
+                        if (!input.matches(slot.getItemStack())) {
                             WeightedRandomBag<?> bag = (WeightedRandomBag<?>) ((SlotGuidebook) slot).recipe.getOutput();
                             double percent = bag.getAsPercentage(slot.getItemStack());
                             text.append('\n').append(TextFormatting.LIGHT_GRAY).append(String.format("%.2f", percent)).append("%");
@@ -192,71 +197,67 @@ public class TooltipElement extends Gui
                 }
             }
 
-			if(debug) {
+            if (debug) {
                 text.append('\n').append(TextFormatting.LIGHT_GRAY).append(itemStack.getItem().namespaceID);
                 text.append('\n').append(TextFormatting.LIGHT_GRAY).append(itemStack.getItemKey());
-				CompoundTag data = itemStack.getData();
-				if(data != null) {
-					text.append('\n').append(TextFormatting.LIGHT_GRAY).append("NBT: ").append(data.getValue().size()).append(" Tags");
-				}
-
-                if(slot instanceof SlotGuidebook){
-                    if(((SlotGuidebook) slot).recipe != null){
-                        text.append('\n').append(TextFormatting.GRAY).append(((SlotGuidebook) slot).recipe.toString());
+                text.append('\n').append(TextFormatting.LIGHT_GRAY).append("NBT: ").append(itemStack.getData().getValue().size()).append(" Tags");
+
+                if (slot instanceof SlotGuidebook slotGuidebook) {
+                    if (slotGuidebook.recipe != null) {
+                        text.append('\n').append(TextFormatting.GRAY).append(slotGuidebook.recipe);
                     }
-                    if(((SlotGuidebook) slot).symbol != null){
-                        if(((SlotGuidebook) slot).symbol.getItemGroup() != null){
-                            text.append('\n').append(TextFormatting.GRAY).append("Accepts any: ").append(((SlotGuidebook) slot).symbol.getItemGroup());
+                    if (slotGuidebook.symbol != null) {
+                        if (slotGuidebook.symbol.getItemGroup() != null) {
+                            text.append('\n').append(TextFormatting.GRAY).append("Accepts any: ").append(slotGuidebook.symbol.getItemGroup());
                         }
                     }
                 }
-			}
+            }
 
-			if(itemStack.isItemStackDamageable() && !showDescription && mc.gameSettings.showItemDebugInfo.value) {
-				int durability = itemStack.getMaxDamage();
-				int remainingUses = durability - itemStack.getMetadata();
+            if (itemStack.isItemStackDamageable() && !showDescription && this.mc.gameSettings.showItemDebugInfo.value) {
+                int durability = itemStack.getMaxDamage();
+                int remainingUses = durability - itemStack.getMetadata();
 
-				text.append('\n').append(TextFormatting.LIGHT_GRAY).append(remainingUses + 1).append(" / ").append(durability + 1);
-			}
+                text.append('\n').append(TextFormatting.LIGHT_GRAY).append(remainingUses + 1).append(" / ").append(durability + 1);
+            }
 
-			if(showDescription) {
-				text.append('\n').append(formatDescription(itemStack.getItemDescription(), 16));
-			} else if (!(slot instanceof SlotResult) && mc.gameSettings.itemDescriptions.value != DescriptionPromptEnum.NEVER_PROMPT) {
-                text.append('\n').append(formatDescription(trans.translateKeyAndFormat("gui.tooltip.prompt.description", mc.gameSettings.keyDescription.getKeyName()), 16));
+            if (showDescription) {
+                text.append('\n').append(formatDescription(itemStack.getItemDescription(), 16));
+            } else if (!(slot instanceof SlotResult) && this.mc.gameSettings.itemDescriptions.value != DescriptionPromptEnum.NEVER_PROMPT) {
+                text.append('\n').append(formatDescription(trans.translateKeyAndFormat("gui.tooltip.prompt.description", this.mc.gameSettings.keyDescription.getKeyName()), 16));
             }
 
-			if(slot instanceof SlotResult) {
-				if(shiftPressed && !ctrlPressed) {
-					text.append('\n').append(TextFormatting.LIGHT_GRAY).append("Craft Stack");
-				}
-				if(ctrlPressed && !shiftPressed) {
-					text.append('\n').append(TextFormatting.LIGHT_GRAY).append("Craft Once");
-				}
-				if(ctrlPressed && shiftPressed) {
-					text.append('\n').append(TextFormatting.LIGHT_GRAY).append("Craft All");
-				}
-			}
-		} else {
-			String translatedName = itemStack.getDisplayName();
-			for(char c : translatedName.toCharArray()) {
-				if(Character.isLetterOrDigit(c))
-					text.append("?");
-				else
-					text.append(c);
-			}
-			// text.append("???" /*
-			// TextFormatting.formatted(trans.translateKey(itemStack.getItemName() +
-			// ".name"), TextFormatting.OBFUSCATED) */);
-			if(showDescription) {
-				text.append('\n').append(trans.translateKey("item.unknown.desc"));
-			}
-		}
-
-		return text.toString();
-	}
-
-    public String getTooltipText(ItemStack itemStack, boolean showDescription)
-    {
+            if (slot instanceof SlotResult) {
+                if (shiftPressed && !ctrlPressed) {
+                    text.append('\n').append(TextFormatting.LIGHT_GRAY).append("Craft Stack");
+                }
+                if (ctrlPressed && !shiftPressed) {
+                    text.append('\n').append(TextFormatting.LIGHT_GRAY).append("Craft Once");
+                }
+                if (ctrlPressed && shiftPressed) {
+                    text.append('\n').append(TextFormatting.LIGHT_GRAY).append("Craft All");
+                }
+            }
+        } else {
+            String translatedName = itemStack.getDisplayName();
+            for (char c : translatedName.toCharArray()) {
+                if (Character.isLetterOrDigit(c))
+                    text.append("?");
+                else
+                    text.append(c);
+            }
+            // text.append("???" /*
+            // TextFormatting.formatted(trans.translateKey(itemStack.getItemName() +
+            // ".name"), TextFormatting.OBFUSCATED) */);
+            if (showDescription) {
+                text.append('\n').append(trans.translateKey("item.unknown.desc"));
+            }
+        }
+
+        return text.toString();
+    }
+
+    public String getTooltipText(ItemStack itemStack, boolean showDescription) {
         return getTooltipText(itemStack, showDescription, null);
     }
 
@@ -266,17 +267,17 @@ public class TooltipElement extends Gui
         string.append(TextFormatting.LIGHT_GRAY);
 
         int lineLength = 0;
-        for(int i=0; i < description.length(); i++) {
+        for (int i = 0; i < description.length(); i++) {
             char c = description.charAt(i);
 
-            if(c == ' ') {
-                if(lineLength > preferredLineLength) {
+            if (c == ' ') {
+                if (lineLength > preferredLineLength) {
                     lineLength = 0;
                     string.append("\n").append(TextFormatting.LIGHT_GRAY);
-                }else {
+                } else {
                     string.append(c);
                 }
-            }else {
+            } else {
                 lineLength++;
                 string.append(c);
             }
@@ -300,7 +301,7 @@ public class TooltipElement extends Gui
             try (final InputStream stylesStream = pack.getResourceAsStream("/assets/minecraft/textures/gui/sprites/tooltip/styles.json")) {
                 if (stylesStream != null) {
                     final JsonObject stylesListObject = JsonParser.parseReader(new InputStreamReader(stylesStream)).getAsJsonObject();
-                    final boolean replace = stylesListObject.has("replace") ? stylesListObject.get("replace").getAsBoolean() : false;
+                    final boolean replace = stylesListObject.has("replace") && stylesListObject.get("replace").getAsBoolean();
                     if (replace) styleIds.clear();
                     final JsonArray styles = stylesListObject.getAsJsonArray("styles");
                     for (final JsonElement element : styles) {
